function CompNonTargeted(thetaHat, wbarHat, params, order, moments, resultsSeries, opts, plotopts)
%%SMM m-file for Labor Market Participation and the Minimum Wage
%Author: Adrian Masters and Ben Griffy
%Date: July 2020

% opts.test = 'n';

[pphi,eeta,bbeta,a,z,r,llambda,m,mmu,ssigma,lb,ub,pphiDelt,zDelt,wbarDelt,wbinDelt,N,T,wbar,mFun,dmFun,wageFun,pFun,udotFun] = Parameters(params, order, opts);


    % Matching rate and matching rate derivative
    matRate = mFun(thetaHat);
    dmatRate = dmFun(thetaHat);

    % outcome calculations
    % uratem=llambda/(matRate+llambda)    % unemployment rate u/(u+e)

    % NILF=logncdf(wbarHat,mmu,ssigma)   % share of poulation excluded from market

    % empRate=(1-NILF)*(1-uratem) % emplyment as share of totsal population

    % % define new objects to limit line length
    % rl=r+llambda;
    % rlm=r+llambda+matRate;
    % lm=llambda+matRate;
    % rm=r+matRate;
    % rlbm=r+llambda+bbeta*matRate;

    % DENps=(bbeta*rlm)+(1-bbeta)*rl*pphi;

    % % obtains psquigle the upper bound on productivity receiving the minimum wage
    % ps=(rlbm*wbarHat-(1-bbeta)*rl*z)/DENps;   %psquigle see p.(R.8)

    % Fbar=logncdf(wbarHat,mmu,ssigma);  % cum dist vlaue at wbar
    % Fsq=logncdf(ps,mmu,ssigma);  % cum dist as psquigle

    % fbar=lognpdf(wbarHat,mmu,ssigma);     % density at wbar

    % Ebar=LNCalcExp(params,order,opts,wbarHat,inf);    % expected prod above wbar
    % Esq=LNCalcExp(params,order,opts,ps,inf);    % expected prod above psquigle



    % % set productivity (p = ps)

    % p=9.3933

    % swagep=(DENps*p+(1-bbeta)*rl*z)/rlbm  % obtains wage for ability level p

    % spikem=(logncdf(ps,mmu,ssigma)-NILF)/(1-NILF)

    % modalm=exp(mmu-ssigma^2)

    % %p=ps

    % ResultsVec = [uratem;NILF;empRate;Fbar;Fsq;Ebar;Esq;swagep;spikem;modalm];

    wageDistData = resultsSeries.empWageDist(:,2);
    xAxisData = resultsSeries.empWageDist(:,1);

    wageDistData(xAxisData>30) = [];
    xAxisData(xAxisData>30) = [];

    % xAxis = linspace(wbarHat,30,size(xAxisData,1));

    xAxis = linspace(wbar,30,size(xAxisData,1));

    yPDF=lognpdf(xAxis,mmu,ssigma);

    f01=figure('name','LRInc_compare');
    hold on;
    p1 = plot(xAxis,yPDF,'color','red','LineStyle','-');
    % p2 = bar(xAxisData,wageDistData,'Normalization','probability','FaceColor','brown','EdgeColor','blue','FaceAlpha',0.6,'EdgeAlpha',0.6);
    % p2 = histogram('BinEdges',xAxisData','BinCounts',wageDistData','FaceColor','blue','EdgeColor','blue','FaceAlpha',0.6,'EdgeAlpha',0.6);
    % p2 = bar(xAxisData',wageDistData','FaceColor','blue','EdgeColor','blue','FaceAlpha',0.6,'EdgeAlpha',0.6);
    p2 = bar(xAxisData',wageDistData','FaceColor','blue','EdgeColor','blue','FaceAlpha',0.6,'EdgeAlpha',0.6);
    alpha(0.25)
    xlabel('Hourly Wage')
    ylabel('Prob.')
    % hleg1 = legend([p1,p2],'Model','Data');
    % set(hleg1,'Location','best');
    myfiguresize=[0,0,4,4];
    set(gcf, 'PaperPosition', myfiguresize);

    set(gca, ...
        'GridLineStyle'         , '--'     , ...
        'Box'         , 'off'     , ...
        'TickDir'     , 'out'     , ...
        'TickLength'  , [.02 .02] , ...
        'XMinorTick'  , 'on'      , ...
        'YMinorTick'  , 'on'      , ...
        'XGrid'       , 'on'      , ...
        'YGrid'       , 'on'      , ...
        'XColor'      , [.3 .3 .3], ...
        'YColor'      , [.3 .3 .3], ...
        'LineWidth'   , 1         );
    figfile = fullfile(pwd,strcat('WagePDF',plotopts));
    saveas(gcf,figfile,'png');
    saveas(gcf,figfile,'epsc');
    close;
    hold off;


end
