function y = LNCalcExp(params,order,opts,pl,ph)
%This function calculates the expected productivity underlog-normal given
%given the range of values of p is [pl,ph] (see p.(S.6)
% if wb is the lower cut-off, pu is p upper-bar should use a very high number
% (can use inf)
% can also use pl=0 ad ph=wb
% mu and sig are parematers of underlying normal distribution

[pphi,eeta,bbeta,a,z,r,llambda,m,mmu,ssigma,lb,ub,pphiDelt,zDelt,wbarDelt,wbinDelt,N,T,wbar,mFun,dmFun,wageFun,pFun,udotFun] = Parameters(params, order, opts);

tp=integral(@(x)LNInt(x,mmu,ssigma),pl,ph);

y=(2/pi)^(1/2)*tp/(ssigma*(1-erf((log(pl)-mmu)/(ssigma*2^(1/2)))));


end
