function y = LNInt(x,m,s)
% function is integrand in Q.7.3
% to be used with quatrature to get integral
% m is the "mu" parameter (mean of underlying normal)
% s is the "sigma" parameter (s.d. of underlying normal)
% typical call is intergral(@(x)mbintln1(x,2,0.2),pl,ph) where
% pl is bottom of range and ph is top can use inf for ph
% Note: to get integral of p btewwn these limits divide output by
% s*(2*pi)^(1/2)
% to plot implied log-normal distibution use:
% tp=[0:0.1:10]';
% out=mbintln1(tp,2,0.2);
% plot(out)

y=exp(-((log(x)-m).^2)/(2*s^2));

end

