function err = ModelUIMaxWelf_Wrapper(params,order,opts,solveOpts)
%%Model_Wrapper m-file for Labor Market Participation and the Minimum Wage
%Author: Adrian Masters and Ben Griffy
%Date: July 2020

[pphi,eeta,bbeta,a,z,r,llambda,m,mmu,ssigma,lb,ub,pphiDelt,zDelt,wbarDelt,wbinDelt,N,T,wbar,mFun,dmFun,wageFun,pFun,udotFun] = Parameters(params, order, opts);

if ~isequal(exist(fullfile(pwd,opts.output_path),'dir'),7)
    mkdir(fullfile(pwd,opts.output_path));
end

err = 0


    if strcmpi(solveOpts.prob,'decentralfixed')

        options = optimoptions('fsolve','Display','none','Diagnostics','off');
        % options = optimset('Display','off','Diagnostics','off');
        obj_fun = @(theta)ModelUISysEq([theta; zDelt],params,order,opts,solveOpts);
        [xmin,~]=fsolve(obj_fun,0.2,options);  % may need to change starting values depanding on b and phi

        thetaHat = xmin
        zHat = z + zDelt

        matfile = fullfile(pwd,opts.output_path,'solutionUIDecentral.mat');

        save(matfile, 'thetaHat', 'zHat');
    else

        obj_fun = @(x)ModelUI(x,params,order,opts,solveOpts);
        xmin=fsolve(obj_fun,[0.2;0]);  % may need to change starting values depanding on b and phi
                                       % xmin=fsolve(obj_fun,[0.2;z]);  % may need to change starting values depanding on b and phi

        % params(find(strcmp(order, 'bbeta'))) = 0.2; % share productivity achieved through non-market activity
        % params(find(strcmp(order, 'a'))) = 100; % share productivity achieved through non-market activity
        % params(find(strcmp(order, 'mmu'))) = 2.1; % share productivity achieved through non-market activity
        % params(find(strcmp(order, 'ssigma'))) = 0.6; % share productivity achieved through non-market activity
        % params(find(strcmp(order, 'z'))) = 2; % share productivity achieved through non-market activity

        thetaHat=xmin(1)
        zHat=z+xmin(2)


        matfile = fullfile(pwd,opts.output_path,'solutionUIDecentral.mat');

        save(matfile, 'thetaHat', 'zHat');
    end


end
