function err = ModelUI_Wrapper(params,order,opts,solveOpts)
%%Model_Wrapper m-file for Labor Market Participation and the Minimum Wage
%Author: Adrian Masters and Ben Griffy
%Date: July 2020

[pphi,eeta,bbeta,a,z,r,llambda,m,mmu,ssigma,lb,ub,pphiDelt,zDelt,wbarDelt,wbinDelt,N,T,wbar,mFun,dmFun,wageFun,pFun,udotFun] = Parameters(params, order, opts);

if ~isequal(exist(fullfile(pwd,opts.output_path),'dir'),7)
    mkdir(fullfile(pwd,opts.output_path));
end

err = 0


    if strcmpi(solveOpts.prob,'decentralfixed')

        options = optimoptions('fsolve','Display','none','Diagnostics','off');
        % options = optimset('Display','off','Diagnostics','off');
        obj_fun = @(theta)ModelUI([theta; zDelt],params,order,opts,solveOpts);
        [xmin,~]=fsolve(obj_fun,0.2,options);  % may need to change starting values depanding on b and phi

        thetaHat = xmin
        zHat = z + zDelt

        matfile = fullfile(pwd,opts.output_path,'solutionUIDecentral.mat');

        save(matfile, 'thetaHat', 'zHat');
    else

        obj_fun = @(x)ModelUI(x,params,order,opts,solveOpts);
        xmin=fsolve(obj_fun,[0.2;0]);  % may need to change starting values depanding on b and phi

        thetaHat=xmin(1)
        zHat=z+xmin(2)


        matfile = fullfile(pwd,opts.output_path,'solutionUIDecentral.mat');

        save(matfile, 'thetaHat', 'zHat');
    end


end
