function varargout = SMM_Wrapper(params, order, moments, distMoments, opts)
%%SMM_Wrapper m-file for Labor Market Participation and the Minimum Wage
%Author: Adrian Masters and Ben Griffy
%Date: July 2020
%Description: this runs the calibration ("SMM") and can run extra constraint functions in "confuneq" returns ssr or (ssr, err)



% used for non-linear parameter constraints
err = confuneq(params, order, opts)

% print SMM parameters initial guess
[reshape(order(1:opts.nparams),[],1) num2cell(reshape(params(1:opts.nparams),[],1))]

% Run simulated method of moments (calibration) on moments defined in get_data file
if err == 0
    [ssr, err] = SMM(params, order, moments, distMoments, opts);
else
    ssr = NaN;
end

if err ~= 0
    err = 1;
    ssr = NaN;
end

if opts.solver == 'DR'
    varargout{1} = ssr;
    varargout{2} = err;
else
    varargout{1} = ssr;
end

end
