function [ moments, resultsSeries ] = get_data( working_dir, input_path, opts )
% get_data m-file for Labor Market Participation and Minimum Wage Policy
% Author: Adrian Masters and Ben Griffy
% Date: July 2020

    temp = csvread(fullfile(working_dir,input_path,'CPSCalib.csv'),1,1);

    empWageDist = importdata(fullfile(working_dir,input_path,'wageDens.csv'));
    empWageDist = empWageDist.data;
    empWageDistWide = importdata(fullfile(working_dir,input_path,'wageDensWide.csv'));
    empWageDistWide = empWageDistWide.data;

    empWageDist(:,2) = empWageDist(:,2)./sum(empWageDist(:,2));
    empWageDistWide(:,2) = empWageDistWide(:,2)./sum(empWageDistWide(:,2));

    [moded,modeind] = max(empWageDistWide(:,2));

    modew = empWageDistWide(modeind,1);


    resultsSeries.empWageDist = empWageDist;
    resultsSeries.empWageDistWide = empWageDistWide;


    moments = get_moments(temp);

    NonTargeted = csvread(fullfile(working_dir,input_path,'CPSNonTargeted.csv'),1,1);

    resultsSeries.NonTargeted = get_moments(NonTargeted);

end
