function [ params ] = get_params( working_dir, input_path, opts, params )
% get_params m-file for Demographics and the Shimer Puzzle
% Author: Ben Griffy
% Date: Feb., 2018

    if strcmpi(opts.params,'loadparams')
        importOpts = detectImportOptions(fullfile(working_dir,input_path,'SMM.csv'),'NumHeaderLines',0);
        estParams = readtable(fullfile(working_dir,input_path,'SMM.csv'),importOpts);

        estParams = sortrows(estParams,{'ssr'},{'ascend'});
        
        for i = 1:length(estParams.Properties.VariableNames)
            varName = estParams.Properties.VariableNames(i);
            if isfield(params,varName) == 1
                params = setfield(params,cell2mat(varName),table2array(estParams(1,varName)));
            end
        end
    end



% if length(varargin) == 0
%     if strcmpi(opts.params,'loadparams')
%         importOpts = detectImportOptions(fullfile(working_dir,input_path,'SMM.csv'),'NumHeaderLines',0)
%         estParams = readtable(fullfile(working_dir,input_path,'SMM.csv'),importOpts);

%         estParams = sortrows(params,{'ssr'},{'ascend'});

%     elseif strcmpi(opts.params,'Shimer')
%         params = struct('A',0.113,'llambda',0.0,'ddelta',0.0081,'MuEps',0.0,'SigEps',0.1, ...
%                         'BarEps',1,'YP',1,'YF',1,'b',0.4,'aalpha',0.72,'eeta',0.72, ...
%                         'ttauP',0.0,'ttauF',0.0,'ggamma',1, ...
%                         'bbeta',0.9992,'kkappa',0.213,'RhoZ',0.9895,'SigZ',0.0034,'StdZ',3,'ZNodes',13,'MaxIter',20000, ...
%                         'EpsNodes',200,'SimTot',1000,'Simpers',119,'burnin',200,'freq',12,'errtol',1e-8, ...
%                         'CostShock',1.01);
%     elseif strcmpi(opts.params,'HagedornManovskii')
%         params = struct('A',0.113,'llambda',0.0,'ddelta',0.0081,'MuEps',0.0,'SigEps',0.26, ...
%                         'BarEps',1,'YP',1,'YF',1,'b',0.955,'aalpha',0.052,'eeta',0.72, ...
%                         'ttauP',0.0,'ttauF',0.0,'ggamma',1, ...
%                         'bbeta',0.9992,'kkappa',0.213,'RhoZ',0.9895,'SigZ',0.0034,'StdZ',3,'ZNodes',13,'MaxIter',20000, ...
%                         'EpsNodes',200,'SimTot',1000,'Simpers',119,'burnin',200,'freq',12,'errtol',1e-8, ...
%                         'CostShock',1.01);
%     elseif strcmpi(opts.params,'FujitaRamey')
%         params = struct('A',0.094,'llambda',0.085,'ddelta',0.0034,'MuEps',0.0,'SigEps',0.16, ...
%                         'BarEps',1.15,'YP',1,'YF',1,'b',0.7,'aalpha',0.7,'eeta',0.7,'ttauP',0.0, ...
%                         'ttauF',0.0,'ggamma',1.0,'bbeta',0.9992,'kkappa',0.17,'RhoZ',0.9895, ...
%                         'SigZ',0.0034,'StdZ',3,'ZNodes',13,'MaxIter',20000, ...
%                         'EpsNodes',200,'SimTot',1000,'Simpers',119,'burnin',200,'freq',12,'errtol',1e-8, ...
%                         'CostShock',1.01);
%     else
%         params = struct('A',0.113,'llambda',0.085,'ddelta',0.0034,'MuEps',0.0,'SigEps',0.16, ...
%                         'BarEps',1,'YP',0.6,'YF',1.2,'b',0.4,'aalpha',0.7,'eeta',0.7,'eetaF',0.7, ...
%                         'ttauP',0.05,'ttauF',0.5,'ggamma',0.7,'bbeta',0.9992,'kkappa',0.17, ...
%                         'RhoZ',0.9895,'SigZ',0.004,'StdZ',3,'ZNodes',13,'MaxIter',20000, ...
%                         'EpsNodes',200,'SimTot',1000,'Simpers',119,'burnin',200,'freq',12,'errtol',1e-8, ...
%                         'CostShock',1.01);
%     end
% else
%     params = varargin{1};
% end


end

